(ns com.oly.static-sites.ui-hiccup.chess)

(defn square [{:keys [colour highlight selected on-click text class] :as sq}]
  [:div.flex.items-center.justify-around.w3.h3.tc
   {:class (str "fl " class highlight (when selected " bg-red ")
                ;;" bg-green-500 "
                (if (= :white colour) " black-80" " white-80")

                )
    :on-click #(on-click % sq)}
   [:p.v-mid.ma0.pa0.f2 text]])

(defn board [size items]
  (loop [x-pos 1
         y-pos 1
         row [:div.h3]
         result [:div]]
    (if (and (= size (- y-pos 1)) (= size x-pos))
      result
      (if (= size x-pos)
        (recur 1
               (inc y-pos)
               [:div.h3]
               (conj result (conj row (square (get items [x-pos y-pos])))))
        (recur (inc x-pos)
               y-pos
               (conj row (square (get items [x-pos y-pos])))
               result)))))


